function varargout = NeFEW(varargin)
% NeFEW MATLAB code for NeFEW.fig
%      NeFEW, by itself, creates a new NeFEW or raises the existing
%      singleton*.
%
%      H = NeFEW returns the handle to a new NeFEW or the handle to
%      the existing singleton*.
%
%      NeFEW('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in NeFEW.M with the given input arguments.
%
%      NeFEW('Property','Value',...) creates a new NeFEW or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before NeFEW_OpeningFcn gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to NeFEW_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help NeFEW

% Last Modified by GUIDE v2.5 30-Nov-2016 12:15:04

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @NeFEW_OpeningFcn, ...
                   'gui_OutputFcn',  @NeFEW_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before NeFEW is made visible.
function NeFEW_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to NeFEW (see VARARGIN)

% Choose default command line output for NeFEW
handles.output = hObject;

% Clean screen
clc;

% Open a message on the screen saying it is loading data
h = msgbox({'Loading Data: Please Wait' 'GUI Will Open up Momentarily'});

% addpath data directory
if ispc
    addpath([pwd,'\DATA'])
else
    addpath([pwd,'/DATA'])
end

% Load data
load AquaStat
load WaterFootprintCrop
load WaterFootprintMeat
load FoodBalancesRecent
load EmissionsAg

% Assign handles to be used later
handles.AquaStat = AquaStat;
handles.FoodBalances = FoodBalances;
handles.WaterFootprintCrop = WaterFootprintCrop;
handles.WaterFootprintMeat = WaterFootprintMeat;
handles.EmissionsAg = EmissionsAg;

% Close the screen message
delete(h)

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes NeFEW wait for user response (see UIRESUME)
% uiwait(handles.figure1);


% --- Outputs from this function are returned to the command line.
function varargout = NeFEW_OutputFcn(hObject, eventdata, handles) 
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



function edit1_Callback(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit1 as text
%        str2double(get(hObject,'String')) returns contents of edit1 as a double


% --- Executes during object creation, after setting all properties.
function edit1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton1.
function pushbutton1_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% your computation
set(handles.figure1, 'pointer', 'arrow')

% Get food amount
Amount = str2num(get(handles.edit1,'string'));

% Get waterfootprint values: if food number <=14 it is crop, else it is meat
if handles.Food.num <=14,
    % Find indices for the country
    idy = find( (strcmp(handles.Country(1),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(2),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(3),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(4),handles.WaterFootprintCrop(4,:)) ) & strcmp(handles.WaterFootprintCrop(5,:),'CNTRY-average') ); % Find index of country and country average row
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),handles.Food.WaterFootprintCrop) & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    % Calculate water
    Water_Green = Amount * cell2mat(handles.WaterFootprintCrop(idx,idy)) / 1000; 
    Water_Blue = Amount * cell2mat(handles.WaterFootprintCrop(idx+1,idy)) / 1000 ; 
    Water_Grey = Amount * cell2mat(handles.WaterFootprintCrop(idx+2,idy)) / 1000; 
    % Print to screen
    set(handles.edit5,'String',Water_Green); % Write to the screen
    set(handles.edit4,'String',Water_Blue); % Write to the screen
    set(handles.edit6,'String',Water_Grey); % Write to the screen
    
    % Find indices for the globe
    idy = find( strcmp(handles.WaterFootprintCrop(4,:),'Global average') ); % Find index of global average row
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),handles.Food.WaterFootprintCrop) & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    % Calculate water
    Water_Green = Amount * cell2mat(handles.WaterFootprintCrop(idx,idy(1))) / 1000;
    Water_Blue = Amount * cell2mat(handles.WaterFootprintCrop(idx+1,idy(1))) / 1000;  
    Water_Grey = Amount * cell2mat(handles.WaterFootprintCrop(idx+2,idy(1))) / 1000; 
    % Print to screen
    set(handles.edit8,'String',Water_Green); % Write to the screen
    set(handles.edit7,'String',Water_Blue); % Write to the screen
    set(handles.edit9,'String',Water_Grey); % Write to the screen
    
else
    % Find indices for the country
    idy = find( (strcmp(handles.Country(1),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(2),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(3),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(4),handles.WaterFootprintMeat(3,:))) & strcmp(handles.WaterFootprintMeat(4,:),'Weighted average') ); % Find index of country and country average row
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),handles.Food.WaterFootprintMeat) & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    % Calculate water
    Water_Grazing = Amount * cell2mat(handles.WaterFootprintMeat(idx,idy)) / 1000; 
    Water_Industrial = Amount * cell2mat(handles.WaterFootprintMeat(idx+1,idy)) / 1000;  
    Water_W_avg = Amount * cell2mat(handles.WaterFootprintMeat(idx+2,idy)) / 1000; 
    % Print to screen
    set(handles.edit5,'String',num2str(Water_Grazing)); % Write to the screen
    set(handles.edit4,'String',num2str(Water_Industrial)); % Write to the screen
    set(handles.edit6,'String',num2str(Water_W_avg)); % Write to the screen
    
    % Find indices for the globe
    idy = find( strcmp(handles.WaterFootprintMeat(3,:),'World Average') ); % Find index of global average row
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),handles.Food.WaterFootprintMeat) & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    % Calculate water
    Water_Grazing = Amount * cell2mat(handles.WaterFootprintMeat(idx,idy(1))) / 1000; 
    Water_Industrial = Amount * cell2mat(handles.WaterFootprintMeat(idx+1,idy(1))) / 1000;  
    Water_W_avg = Amount * cell2mat(handles.WaterFootprintMeat(idx+2,idy(1))) / 1000; 
    % Print to screen
    set(handles.edit8,'String',num2str(Water_Grazing)); % Write to the screen
    set(handles.edit7,'String',num2str(Water_Industrial)); % Write to the screen
    set(handles.edit9,'String',num2str(Water_W_avg)); % Write to the screen

end
   


function edit8_Callback(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)ed

% Hints: get(hObject,'String') returns contents of edit8 as text
%        str2double(get(hObject,'String')) returns contents of edit8 as a double


% --- Executes during object creation, after setting all properties.
function edit8_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit8 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit9_Callback(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit9 as text
%        str2double(get(hObject,'String')) returns contents of edit9 as a double


% --- Executes during object creation, after setting all properties.
function edit9_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit9 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit4_Callback(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit4 as text
%        str2double(get(hObject,'String')) returns contents of edit4 as a double


% --- Executes during object creation, after setting all properties.
function edit4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit5_Callback(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit5 as text
%        str2double(get(hObject,'String')) returns contents of edit5 as a double


% --- Executes during object creation, after setting all properties.
function edit5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit6_Callback(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit6 as text
%        str2double(get(hObject,'String')) returns contents of edit6 as a double


% --- Executes during object creation, after setting all properties.
function edit6_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit6 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit10_Callback(hObject, eventdata, handles)
% hObject    handle to edit10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit10 as text
%        str2double(get(hObject,'String')) returns contents of edit10 as a double


% --- Executes during object creation, after setting all properties.
function edit10_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit10 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu2.
function popupmenu2_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

contents = cellstr(get(hObject,'String')); % returns popupmenu2 contents as cell array
Country = contents{get(hObject,'Value')}; % returns selected item from popupmenu2

% Update country names (if different in different data sets
Country = Correct_Names(Country,1);
handles.Country = Country.Country; % Transform to the right format

% Find population and write to the screen
id = find( (strcmp(handles.Country(1),handles.FoodBalances(:,2)) | strcmp(handles.Country(2),handles.FoodBalances(:,2)) | strcmp(handles.Country(3),handles.FoodBalances(:,2)) | strcmp(handles.Country(4),handles.FoodBalances(:,3)) ) & strcmp(handles.FoodBalances(:,6),'Total Population - Both sexes') ); % Find index of country and population row
population = cell2mat(handles.FoodBalances(id,7:11)); % Population from 2009 until 2013
population = population(~isnan(population)); % Find non-nan data
population = population(end); % Select the last available data
set(handles.edit13,'String',num2str(population)); % Write to the screen

% Reset all input/ouput boxes
set(handles.edit10,'String',[]); set(handles.edit11,'String',[]); set(handles.edit12,'String',[]); set(handles.edit49,'String',[]);
set(handles.edit4,'String',[]); set(handles.edit5,'String',[]); set(handles.edit6,'String',[]); set(handles.edit7,'String',[]);
set(handles.edit8,'String',[]); set(handles.edit9,'String',[]); set(handles.edit14,'String',[]); set(handles.edit19,'String',[]);
set(handles.edit20,'String',[]); set(handles.edit21,'String',[]); set(handles.edit22,'String',[]); set(handles.edit23,'String',[]);
set(handles.edit24,'String',[]); set(handles.edit25,'String',[]); set(handles.edit26,'String',[]); set(handles.edit27,'String',[]);
set(handles.edit42,'String',[]); set(handles.edit44,'String',[]); set(handles.edit54,'String',[]); set(handles.edit55,'String',[]);
set(handles.edit56,'String',[]); set(handles.edit45,'String',[]); set(handles.edit47,'String',[]); set(handles.edit48,'String',[]);
set(handles.edit15,'String','Not known'); set(handles.edit16,'String','Not known'); set(handles.edit17,'String','Not known'); set(handles.edit18,'String','Not known'); 
set(handles.edit43,'String','Not known'); 

% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function popupmenu2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit11_Callback(hObject, eventdata, handles)
% hObject    handle to edit11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit11 as text
%        str2double(get(hObject,'String')) returns contents of edit11 as a double


% --- Executes during object creation, after setting all properties.
function edit11_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit11 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit12_Callback(hObject, eventdata, handles)
% hObject    handle to edit12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit12 as text
%        str2double(get(hObject,'String')) returns contents of edit12 as a double


% --- Executes during object creation, after setting all properties.
function edit12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit7_Callback(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit7 as text
%        str2double(get(hObject,'String')) returns contents of edit7 as a double


% --- Executes during object creation, after setting all properties.
function edit7_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit13_Callback(hObject, eventdata, handles)
% hObject    handle to edit13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit13 as text
%        str2double(get(hObject,'String')) returns contents of edit13 as a double


% --- Executes during object creation, after setting all properties.
function edit13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit47_Callback(hObject, eventdata, handles)
% hObject    handle to edit47 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit47 as text
%        str2double(get(hObject,'String')) returns contents of edit47 as a double


% --- Executes during object creation, after setting all properties.
function edit47_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit47 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit45_Callback(hObject, eventdata, handles)
% hObject    handle to edit45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit45 as text
%        str2double(get(hObject,'String')) returns contents of edit45 as a double


% --- Executes during object creation, after setting all properties.
function edit45_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton5.
function pushbutton5_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Amount of source for bioethanol
Amount = str2num(get(handles.edit45,'String'));

% Refer to Table 2 of
% Mekonnen, Mesfin M., and Arjen Y. Hoekstra. "The green, blue and grey water footprint of crops and derived crop products." Hydrology and Earth System Sciences 15.5 (2011): 1577-1600.
if strcmp(handles.Bioethanol,'Wheat')
    BioE_EC = 0.85 * 0.76 * 0.53 * 10.17; % GJ / ton
    BioE_YC = 0.85 * 0.76 * 0.53 * 434; % liter / ton
elseif strcmp(handles.Bioethanol,'Barley')
    BioE_EC = 0.85 * 0.76 * 0.53 * 10.2; % GJ / ton
    BioE_YC = 0.85 * 0.76 * 0.53 * 434; % liter / ton
elseif strcmp(handles.Bioethanol,'Corn (Maize)')
    BioE_EC = 0.85 * 0.75 * 0.53 * 10; % GJ / ton
    BioE_YC = 0.85 * 0.75 * 0.53 * 428; % liter / ton
elseif strcmp(handles.Bioethanol,'Potato')
    BioE_EC = 0.25 * 0.78 * 0.53 * 3.07; % GJ / ton
    BioE_YC = 0.25 * 0.78 * 0.53 * 131; % liter / ton
elseif strcmp(handles.Bioethanol,'Rice')
    BioE_EC = 0.85 * 0.76 * 0.53 * 10.2; % GJ / ton
    BioE_YC = 0.85 * 0.76 * 0.53 * 434; % liter / ton
elseif strcmp(handles.Bioethanol,'Sugar cane')
    BioE_EC = 0.27 * 0.57 * 0.51 * 2.33; % GJ / ton
    BioE_YC = 0.27 * 0.57 * 0.51 * 99; % liter / ton
end

% Compute energy amount and bioethanol volume 
Energy = Amount * BioE_EC * 277.77777777778 / 1000; % GJ / ton -> kwh/kg
Bioethanol = Amount * BioE_YC / 1000; % liter / ton -> % liter / kg

% Print to screen
set(handles.edit47,'String',Energy);
set(handles.edit48,'String',Bioethanol);

% --- Executes on selection change in popupmenu4.
function popupmenu4_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get ethanol source
contents = cellstr(get(hObject,'String'));% returns popupmenu4 contents as cell array
handles.Bioethanol = contents{get(hObject,'Value')}; % returns selected item from popupmenu4

% Update handles structure
guidata(hObject, handles);


% --- Executes during object creation, after setting all properties.
function popupmenu4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit48_Callback(hObject, eventdata, handles)
% hObject    handle to edit48 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit48 as text
%        str2double(get(hObject,'String')) returns contents of edit48 as a double


% --- Executes during object creation, after setting all properties.
function edit48_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit48 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu1.
function popupmenu1_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get energy type from GUI
contents = cellstr(get(hObject,'String')); % returns popupmenu1 contents as cell array
handles.Energy = contents{get(hObject,'Value')}; %returns selected item from popupmenu1

% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function popupmenu1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton4.
function pushbutton4_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get energy amount
Amount = str2num(get(handles.edit42,'String'));
% Get emission factor
EF_Country = str2num(get(handles.edit43,'String')) * (1 / 277777.7777777778);
% If not provided, read from AgEmission data (Agricultural data)
if isempty(EF_Country) || isnan(EF_Country)
    if strcmp(handles.Energy,'Electricity')
        try
            id = find( (strcmp(handles.Country(1),handles.EmissionsAg(:,2)) | strcmp(handles.Country(2),handles.EmissionsAg(:,2)) | strcmp(handles.Country(3),handles.EmissionsAg(:,2)) | strcmp(handles.Country(4),handles.EmissionsAg(:,2))) & strcmp(handles.EmissionsAg(:,4),'Electricity') & strcmp(handles.EmissionsAg(:,6),'Implied emission factor for CO2') ); % Find index of country and electricity and Implied emission factor for CO2 row
            EF_Country = cell2mat( handles.EmissionsAg(id,8:2:end) );
            EF_Country = EF_Country( ~isnan(EF_Country) ); EF_Country = EF_Country( EF_Country~=0 );
            EF_Country = EF_Country(end) / 1000; % g/kwh -> kg/kwh
        catch
        end
    elseif strcmp(handles.Energy,'Coal')
        try
            id = find( (strcmp(handles.Country(1),handles.EmissionsAg(:,2)) | strcmp(handles.Country(2),handles.EmissionsAg(:,2)) | strcmp(handles.Country(3),handles.EmissionsAg(:,2)) | strcmp(handles.Country(4),handles.EmissionsAg(:,2)) ) & strcmp(handles.EmissionsAg(:,4),'Coal') & strcmp(handles.EmissionsAg(:,6),'Implied emission factor for CO2') ); % Find index of country and electricity and Implied emission factor for CO2 row
            EF_Country = cell2mat( handles.EmissionsAg(id,8:2:end) );
            EF_Country = EF_Country( ~isnan(EF_Country) ); EF_Country = EF_Country( EF_Country~=0 );
            EF_Country = EF_Country(end) * (1 / 277777.7777777778);  % Kg/TJ
        catch
        end
    elseif strcmp(handles.Energy,'Motor Gas')
        try
            id = find( (strcmp(handles.Country(1),handles.EmissionsAg(:,2)) | strcmp(handles.Country(2),handles.EmissionsAg(:,2)) | strcmp(handles.Country(3),handles.EmissionsAg(:,2)) | strcmp(handles.Country(4),handles.EmissionsAg(:,2)) ) & strcmp(handles.EmissionsAg(:,4),'Motor Gasoline') & strcmp(handles.EmissionsAg(:,6),'Implied emission factor for CO2') ); % Find index of country and electricity and Implied emission factor for CO2 row
            EF_Country = cell2mat( handles.EmissionsAg(id,8:2:end) );
            EF_Country = EF_Country( ~isnan(EF_Country) ); EF_Country = EF_Country( EF_Country~=0 );
            EF_Country = EF_Country(end) * (1 / 277777.7777777778);  % Kg/TJ
        catch
        end
    elseif strcmp(handles.Energy,'Diesel')
        try
            id = find( (strcmp(handles.Country(1),handles.EmissionsAg(:,2)) | strcmp(handles.Country(2),handles.EmissionsAg(:,2)) | strcmp(handles.Country(3),handles.EmissionsAg(:,2)) | strcmp(handles.Country(4),handles.EmissionsAg(:,2)) ) & strcmp(handles.EmissionsAg(:,4),'Gas-Diesel oil') & strcmp(handles.EmissionsAg(:,6),'Implied emission factor for CO2') ); % Find index of country and electricity and Implied emission factor for CO2 row
            EF_Country = cell2mat( handles.EmissionsAg(id,8:2:end) );
            EF_Country = EF_Country( ~isnan(EF_Country) ); EF_Country = EF_Country( EF_Country~=0 );
            EF_Country = EF_Country(end) * (1 / 277777.7777777778);  % Kg/TJ
        catch
        end
    elseif strcmp(handles.Energy,'Natural Gas')
        try
            id = find( (strcmp(handles.Country(1),handles.EmissionsAg(:,2)) | strcmp(handles.Country(2),handles.EmissionsAg(:,2)) | strcmp(handles.Country(3),handles.EmissionsAg(:,2)) | strcmp(handles.Country(4),handles.EmissionsAg(:,2)) ) & strcmp(handles.EmissionsAg(:,4),'Natural gas (including LNG)') & strcmp(handles.EmissionsAg(:,6),'Implied emission factor for CO2') ); % Find index of country and electricity and Implied emission factor for CO2 row
            EF_Country = cell2mat( handles.EmissionsAg(id,8:2:end) );
            EF_Country = EF_Country( ~isnan(EF_Country) ); EF_Country = EF_Country( EF_Country~=0 );
            EF_Country = EF_Country(end) * (1 / 277777.7777777778); % Kg/TJ
        catch
        end
    end
end

% Global emission factors based on 
% DEFAULT EMISSION FACTORS FOR STATIONARY COMBUSTION IN THE RESIDENTIAL AND AGRICULTURE/FORESTRY/FISHING/FISHING
% FARMS CATEGORIES (kg of greenhouse gas per TJ on a Net Calorific Basis) 
% TABLE 2.5 of
% STATIONARY COMBUSTION, 2006 IPCC Guidelines for National Greenhouse Gas Inventories
% Available at http://www.ipcc-nggip.iges.or.jp/public/2006gl/pdf/2_Volume2/V2_2_Ch2_Stationary_Combustion.pdf
if strcmp(handles.Energy,'Electricity')
    EF_Globe = []; % Kg/TJ
elseif strcmp(handles.Energy,'Coal') % Coking Coal 
    EF_Globe = 94600 * (1 / 277777.7777777778); % Kg/TJ % Change from kg/TJ to kg/kwh
elseif strcmp(handles.Energy,'Motor Gas') % Motor Gasoline 
    EF_Globe = 69300 * (1 / 277777.7777777778); % Kg/TJ % Change from kg/TJ to kg/kwh
elseif strcmp(handles.Energy,'Diesel') % Gas/Diesel Oil 
    EF_Globe = 74100 * (1 / 277777.7777777778); % Kg/TJ % Change from kg/TJ to kg/kwh
elseif strcmp(handles.Energy,'Natural Gas') % Natural Gas Liquids 
    EF_Globe = 64200 * (1 / 277777.7777777778); % Kg/TJ % Change from kg/TJ to kg/kwh
end

% Water consumption for the extraction and processing of fossil fuels & Water consumption for electricity generation in the United States including fuel production
% Fig 1 & 2 of 
% Siddiqi, Afreen, and Laura Diaz Anadon. "The waterenergy nexus in Middle East and North Africa." Energy policy 39.8 (2011): 4529-4540.
if strcmp(handles.Energy,'Electricity') % Different sources of electricity
    WC_US = [0 1400] * 1/(264.172 * 1000); % gal/mwh -> m^3/kwh
elseif strcmp(handles.Energy,'Coal') % 
    WC_US = [0.9 95] * 1/(264.172 * 293.071); % gal/mbtu -> m^3/kwh
elseif strcmp(handles.Energy,'Motor Gas') % Oil (primary + secondary) 
    WC_US = [9 175] * 1/(264.172 * 293.071); % gal/mbtu -> m^3/kwh
elseif strcmp(handles.Energy,'Diesel') % Oil (primary + secondary)  
    WC_US = [9 175] * 1/(264.172 * 293.071); % gal/mbtu -> m^3/kwh
elseif strcmp(handles.Energy,'Natural Gas') % 
    WC_US = [0 175] * 1/(264.172 * 293.071); % gal/mbtu -> m^3/kwh
end

% Compute Emissions and Water Consumption
Emissions_Country = Amount * EF_Country; 
Emissions_Globe = Amount * EF_Globe; 
Water = WC_US * Amount * 1000; % m^3 -> liter

% Print to screen
set(handles.edit44,'String',Emissions_Country);
set(handles.edit54,'String',Emissions_Globe);
set(handles.edit55,'String',Water(1));
set(handles.edit56,'String',Water(2));

function edit42_Callback(hObject, eventdata, handles)
% hObject    handle to edit42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit42 as text
%        str2double(get(hObject,'String')) returns contents of edit42 as a double


% --- Executes during object creation, after setting all properties.
function edit42_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit43_Callback(hObject, eventdata, handles)
% hObject    handle to edit43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit43 as text
%        str2double(get(hObject,'String')) returns contents of edit43 as a double


% --- Executes during object creation, after setting all properties.
function edit43_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit44_Callback(hObject, eventdata, handles)
% hObject    handle to edit44 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit44 as text
%        str2double(get(hObject,'String')) returns contents of edit44 as a double


% --- Executes during object creation, after setting all properties.
function edit44_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit44 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit18_Callback(hObject, eventdata, handles)
% hObject    handle to edit18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit18 as text
%        str2double(get(hObject,'String')) returns contents of edit18 as a double


% --- Executes during object creation, after setting all properties.
function edit18_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit18 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit14_Callback(hObject, eventdata, handles)
% hObject    handle to edit14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit14 as text
%        str2double(get(hObject,'String')) returns contents of edit14 as a double


% --- Executes during object creation, after setting all properties.
function edit14_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit14 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit15_Callback(hObject, eventdata, handles)
% hObject    handle to edit15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit15 as text
%        str2double(get(hObject,'String')) returns contents of edit15 as a double


% --- Executes during object creation, after setting all properties.
function edit15_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit15 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit16_Callback(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit16 as text
%        str2double(get(hObject,'String')) returns contents of edit16 as a double


% --- Executes during object creation, after setting all properties.
function edit16_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit16 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit17_Callback(hObject, eventdata, handles)
% hObject    handle to edit17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit17 as text
%        str2double(get(hObject,'String')) returns contents of edit17 as a double


% --- Executes during object creation, after setting all properties.
function edit17_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit17 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on button press in pushbutton2.
function pushbutton2_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get water amount
Amount = str2num(get(handles.edit14,'String'));
% Get SurfaceWater Energy Coefficient
SW_EC = str2num(get(handles.edit15,'String'));
if isempty(SW_EC)
    SW_EC = 0.37;
end

% Get GroundWater Energy Coefficient
% Following equation 1 of:
% Wang, Jinxia, et al. "Chinas waterenergy nexus: greenhouse-gas emissions from groundwater use for agriculture." Environmental Research Letters 7.1 (2012): 014035.
GW_D = str2num(get(handles.edit16,'String')); % Groundwater Depth
EE = str2num(get(handles.edit17,'String')); % Energy Efficiency
GW_EC = 9.8 * GW_D * 1000 / (3.6e6 * EE * 1e-2);
if isempty(GW_EC)
    GW_EC = 0.48;
end

% Get share of groundwater
GW_R = str2num(get(handles.edit18,'String')); % Groundwater Ratio
if isempty(GW_R)
    id = find( strcmp(handles.Country(1),handles.AquaStat(:,2)) ); % Find index of the country
    GW_R = cell2mat(handles.AquaStat(id,49)) / cell2mat(handles.AquaStat(id,53)); % Groundwater Ratio
    if isnan(GW_R) || GW_R > 1
        GW_R = nanmean( cell2mat(handles.AquaStat(2:end,49)) ./ cell2mat(handles.AquaStat(2:end,53)) );
    end
end

% Compute energy required for water extraction/abstraction
Energy = GW_EC * Amount * GW_R + SW_EC * Amount * (1 - GW_R);
% Write to the screen
set(handles.edit19,'String',Energy); 

% Find indices for the country & Chicken; then compute potential food that could be produced with this amount of blue water
try
    idy = find( (strcmp(handles.Country(1),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(2),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(3),handles.WaterFootprintMeat(3,:)) | strcmp(handles.Country(4),handles.WaterFootprintMeat(3,:)) ) & strcmp(handles.WaterFootprintMeat(4,:),'Weighted average') ); % Find index of country and country average row
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),'Poultry, live,over 185g') & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    Chicken = Amount / sum(cell2mat(handles.WaterFootprintMeat(idx:idx+1,idy))) * 1000; % We assume this is GREEN + BLUE water (hence idx+1)
    set(handles.edit20,'String',Chicken); % Write to the screen
catch
end
% Find indices for the country & Beef; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),'Bovine meat,fh,ch,w.bone') & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    Beef = Amount / sum(cell2mat(handles.WaterFootprintMeat(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit21,'String',Beef); % Write to the screen
catch
end
% Find indices for the country & Pig; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),'Meat of swine,frsh,chlld') & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    Pig = Amount / sum(cell2mat(handles.WaterFootprintMeat(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit22,'String',Pig); % Write to the screen
catch
end
% Find indices for the country & Milk; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintMeat(:,4),'Milk,cream fat cont.1-6%') & strcmp(handles.WaterFootprintMeat(:,9),'Green') );
    Milk = Amount / sum(cell2mat(handles.WaterFootprintMeat(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit23,'String',Milk); % Write to the screen
catch
end
% Find indices for the country & Wheat; then compute potential food that could be produced with this amount of blue water
try
    idy = find( (strcmp(handles.Country(1),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(2),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(3),handles.WaterFootprintCrop(4,:)) | strcmp(handles.Country(4),handles.WaterFootprintCrop(4,:)) ) & strcmp(handles.WaterFootprintCrop(5,:),'CNTRY-average') ); % Find index of country and country average row
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),'Wheat') & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    Wheat = Amount / sum(cell2mat(handles.WaterFootprintCrop(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit24,'String',Wheat); % Write to the screen
catch
end
% Find indices for the country & Rice; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),'Rice, paddy') & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    Rice = Amount / sum(cell2mat(handles.WaterFootprintCrop(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit25,'String',Rice); % Write to the screen
catch
end
% Find indices for the country & Corn; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),'Maize') & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    Maize = Amount / sum(cell2mat(handles.WaterFootprintCrop(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit26,'String',Maize); % Write to the screen
catch
end
% Find indices for the country & Potato; then compute potential food that could be produced with this amount of blue water
try
    idx = find( strcmp(handles.WaterFootprintCrop(:,5),'Potatoes') & strcmp(handles.WaterFootprintCrop(:,9),'Green') );
    Potatoes = Amount / sum(cell2mat(handles.WaterFootprintCrop(idx:idx+1,idy))) * 1000; % We assume this is BLUE water (hence idx+1)
    set(handles.edit27,'String',Potatoes); % Write to the screen
catch
end

function edit19_Callback(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit19 as text
%        str2double(get(hObject,'String')) returns contents of edit19 as a double


% --- Executes during object creation, after setting all properties.
function edit19_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit19 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit24_Callback(hObject, eventdata, handles)
% hObject    handle to edit24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit24 as text
%        str2double(get(hObject,'String')) returns contents of edit24 as a double


% --- Executes during object creation, after setting all properties.
function edit24_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit25_Callback(hObject, eventdata, handles)
% hObject    handle to edit25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit25 as text
%        str2double(get(hObject,'String')) returns contents of edit25 as a double


% --- Executes during object creation, after setting all properties.
function edit25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit26_Callback(hObject, eventdata, handles)
% hObject    handle to edit26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit26 as text
%        str2double(get(hObject,'String')) returns contents of edit26 as a double


% --- Executes during object creation, after setting all properties.
function edit26_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit26 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit27_Callback(hObject, eventdata, handles)
% hObject    handle to edit27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit27 as text
%        str2double(get(hObject,'String')) returns contents of edit27 as a double


% --- Executes during object creation, after setting all properties.
function edit27_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit27 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit20_Callback(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit20 as text
%        str2double(get(hObject,'String')) returns contents of edit20 as a double


% --- Executes during object creation, after setting all properties.
function edit20_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit20 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit21_Callback(hObject, eventdata, handles)
% hObject    handle to edit21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit21 as text
%        str2double(get(hObject,'String')) returns contents of edit21 as a double


% --- Executes during object creation, after setting all properties.
function edit21_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit22_Callback(hObject, eventdata, handles)
% hObject    handle to edit22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit22 as text
%        str2double(get(hObject,'String')) returns contents of edit22 as a double


% --- Executes during object creation, after setting all properties.
function edit22_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit22 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit23_Callback(hObject, eventdata, handles)
% hObject    handle to edit23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit23 as text
%        str2double(get(hObject,'String')) returns contents of edit23 as a double


% --- Executes during object creation, after setting all properties.
function edit23_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- Executes on selection change in popupmenu3.
function popupmenu3_Callback(hObject, eventdata, handles)
% hObject    handle to popupmenu3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = cellstr(get(hObject,'String')) returns popupmenu3 contents as cell array
%        contents{get(hObject,'Value')} returns selected item from popupmenu3

% Get the food name from popup menu
Food = get(handles.popupmenu3,'Value'); % Read the order number
Food = Correct_Names(Food,0); % Correct the name for different data sets
handles.Food = Food;
set(handles.edit10,'String','');
set(handles.edit11,'String','');
set(handles.edit12,'String','');
set(handles.edit49,'String','');
set(handles.edit4,'String',''); set(handles.edit5,'String',''); set(handles.edit6,'String','');
set(handles.edit7,'String',''); set(handles.edit8,'String',''); set(handles.edit9,'String','');

% Get the values of production, import, export and waste from FoodBalances
try
id = find( (strcmp(handles.Country(1),handles.FoodBalances(:,2)) | strcmp(handles.Country(2),handles.FoodBalances(:,2)) | strcmp(handles.Country(3),handles.FoodBalances(:,2)) | strcmp(handles.Country(4),handles.FoodBalances(:,2)) ) & strcmp(handles.FoodBalances(:,4),Food.FoodBalances) & strcmp(handles.FoodBalances(:,6),'Production') ); % Find index of country and food and production row
production = cell2mat(handles.FoodBalances(id,7:11)); % Population from 2009 until 2013
production = production(~isnan(production)); % Find non-nan data
production = production(end); % Select the last available data
set(handles.edit10,'String',num2str(production)); % Write to the screen
catch
end

try
id = find( (strcmp(handles.Country(1),handles.FoodBalances(:,2)) | strcmp(handles.Country(2),handles.FoodBalances(:,2)) | strcmp(handles.Country(3),handles.FoodBalances(:,2)) | strcmp(handles.Country(4),handles.FoodBalances(:,2)) ) & strcmp(handles.FoodBalances(:,4),Food.FoodBalances) & strcmp(handles.FoodBalances(:,6),'Import Quantity') ); % Find index of country and food and import row
import = cell2mat(handles.FoodBalances(id,7:11)); % Population from 2009 until 2013
import = import(~isnan(import)); % Find non-nan data
import = import(end); % Select the last available data
set(handles.edit49,'String',num2str(import)); % Write to the screen
catch 
end

try
id = find( (strcmp(handles.Country(1),handles.FoodBalances(:,2)) | strcmp(handles.Country(2),handles.FoodBalances(:,2)) | strcmp(handles.Country(3),handles.FoodBalances(:,2)) | strcmp(handles.Country(4),handles.FoodBalances(:,2)) ) & strcmp(handles.FoodBalances(:,4),Food.FoodBalances) & strcmp(handles.FoodBalances(:,6),'Export Quantity') ); % Find index of country and food and export row
export = cell2mat(handles.FoodBalances(id,7:11)); % Population from 2009 until 2013
export = export(~isnan(export)); % Find non-nan data
export = export(end); % Select the last available data
set(handles.edit11,'String',num2str(export)); % Write to the screen
catch
end

try
id = find( (strcmp(handles.Country(1),handles.FoodBalances(:,2)) | strcmp(handles.Country(2),handles.FoodBalances(:,2)) | strcmp(handles.Country(3),handles.FoodBalances(:,2)) | strcmp(handles.Country(4),handles.FoodBalances(:,2)) ) & strcmp(handles.FoodBalances(:,4),Food.FoodBalances) & strcmp(handles.FoodBalances(:,6),'Waste') ); % Find index of country and food and waste row
waste = cell2mat(handles.FoodBalances(id,7:11)); % Population from 2009 until 2013
waste = waste(~isnan(waste)); % Find non-nan data
waste = waste(end); % Select the last available data
set(handles.edit12,'String',num2str(waste)); % Write to the screen
catch
end

% Update handles structure
guidata(hObject, handles);

% --- Executes during object creation, after setting all properties.
function popupmenu3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to popupmenu3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit49_Callback(hObject, eventdata, handles)
% hObject    handle to edit49 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit49 as text
%        str2double(get(hObject,'String')) returns contents of edit49 as a double


% --- Executes during object creation, after setting all properties.
function edit49_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit49 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit50_Callback(hObject, eventdata, handles)
% hObject    handle to edit50 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit50 as text
%        str2double(get(hObject,'String')) returns contents of edit50 as a double


% --- Executes during object creation, after setting all properties.
function edit50_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit50 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end


% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over edit50.
function edit50_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to edit50 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



function edit51_Callback(hObject, eventdata, handles)
% hObject    handle to edit51 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit51 as text
%        str2double(get(hObject,'String')) returns contents of edit51 as a double


% --- Executes during object creation, after setting all properties.
function edit51_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit51 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit52_Callback(hObject, eventdata, handles)
% hObject    handle to edit52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit52 as text
%        str2double(get(hObject,'String')) returns contents of edit52 as a double


% --- Executes during object creation, after setting all properties.
function edit52_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit53_Callback(hObject, eventdata, handles)
% hObject    handle to edit53 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit53 as text
%        str2double(get(hObject,'String')) returns contents of edit53 as a double


% --- Executes during object creation, after setting all properties.
function edit53_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit53 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit54_Callback(hObject, eventdata, handles)
% hObject    handle to edit54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit54 as text
%        str2double(get(hObject,'String')) returns contents of edit54 as a double


% --- Executes during object creation, after setting all properties.
function edit54_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit55_Callback(hObject, eventdata, handles)
% hObject    handle to edit55 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit55 as text
%        str2double(get(hObject,'String')) returns contents of edit55 as a double


% --- Executes during object creation, after setting all properties.
function edit55_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit55 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end



function edit56_Callback(hObject, eventdata, handles)
% hObject    handle to edit56 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit56 as text
%        str2double(get(hObject,'String')) returns contents of edit56 as a double


% --- Executes during object creation, after setting all properties.
function edit56_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit56 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc && isequal(get(hObject,'BackgroundColor'), get(0,'defaultUicontrolBackgroundColor'))
    set(hObject,'BackgroundColor','white');
end
